Jump to content

Drawing rectangle with hatch


veteranus

Recommended Posts

This?

 

(defun c:test (/ e r)
 (setq e (entlast))
 (command "_.rectang" "\\" "\\")
 (if (/= e (setq r (entlast)))
   (command "_.-hatch" "S" r "" "P" "SOLID" "")
 )
 (princ)
)

 

Great work! Can we add a default transparency options. For example 50% ?

Link to comment
Share on other sites

  • 7 years later...
On 11/16/2015 at 6:49 PM, Tharwat said:

Change the command hatch in the previous routine with the following one.

 

 

(command "_.-hatch" "S" r "" "P" "SOLID" "TRANSPARENCY" 50 "")
 

 

want to solid color fill same the color bylayer pleas .

 

Link to comment
Share on other sites

22 hours ago, rungruang said:

want to solid color fill same the color bylayer pleas .

This shall change the color of solid to be bylayer regardless of cecolor system variable:

(command "_.-hatch" "S" r "" "P" "SOLID" "" "t" 0)

 

  • Like 1
Link to comment
Share on other sites

con Diesel

PLACA DE CONCRETO
^C^C_-layer;_s;70N;;_rectang;\\_-layer;_s;HT;;_-HATCH;_p;AR-CONC;6;0;_r;s;(entlast);;;

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...